- Developers
- API Reference
- Webhooks
List Webhooks
List webhook subscriptions or create a new one
GET
https://app.ranked.ai/api/v1/webhooksGET - List subscriptions
Returns all webhook subscriptions for the authenticated user.
project_idstringFilter by project UUID
limitnumberdefault: 50Max subscriptions to return
offsetnumberdefault: 0Number to skip
Request
curl "https://app.ranked.ai/api/v1/webhooks" \
-H "Authorization: Bearer rk_live_your_api_key"POST - Create subscription
Requires a Read + Write API key.
namestringbodyDisplay name for this subscription
urlstringbodyrequiredWebhook destination URL (must be HTTPS)
project_idstringbodyrequiredProject UUID to monitor
eventsstring[]bodyrequiredEvents to subscribe to. Options: content.created, content.status_changed, audit.started, audit.completed, keywords.updated, prompts.updated
Request
curl -X POST "https://app.ranked.ai/api/v1/webhooks" \
-H "Authorization: Bearer rk_live_your_write_key" \
-H "Content-Type: application/json" \
-d '{
"name": "My Dashboard",
"url": "https://your-app.com/webhooks/ranked",
"project_id": "your-project-uuid",
"events": ["keywords.updated", "content.status_changed", "audit.completed"]
}'Response
{
"success": true,
"data": {
"id": "3a2e02d7-106f-4425-9518-9597dbf5a23a",
"project_id": "40596405-c27c-4dfc-89e4-142c87846d66",
"name": "My Dashboard",
"url": "https://your-app.com/webhooks/ranked",
"events": ["keywords.updated", "content.status_changed", "audit.completed"],
"is_active": true,
"secret": "whsec_daca66d72437cbe7767ec3c3bea5fe359637832f...",
"created_at": "2026-05-16T01:06:02.042Z"
}
}This page is also available as markdown for AI agents, and the whole reference as an OpenAPI spec. Questions? Developer support.